<?php
// 包含配置文件
include '../config.php';
// 包含头部文件
include '../head.php';
// 包含菜单文件
include '../menu.php';

// 初始化上传状态和消息
$is_upload = false;
$msg = null;

// 处理表单提交
if(isset($_POST['submit'])){
    // 允许的文件类型
    $ext_arr = array('jpg','png','gif');
    // 获取上传文件名
    $file_name = $_FILES['upload_file']['name'];
    // 获取临时文件路径
    $temp_file = $_FILES['upload_file']['tmp_name'];
    // 获取文件扩展名
    $file_ext = substr($file_name,strrpos($file_name,".")+1);
    // 构建上传文件路径
    $upload_file = UPLOAD_PATH . '/' . $file_name;

    // 尝试移动上传文件
    if(move_uploaded_file($temp_file, $upload_file)){
        // 检查文件类型
        if(in_array($file_ext,$ext_arr)){
             // 生成新的文件名
             $img_path = UPLOAD_PATH . '/'. rand(10, 99).date("YmdHis").".".$file_ext;
             // 重命名上传文件
             rename($upload_file, $img_path);
             // 设置上传状态为成功
             $is_upload = true;
        }else{
            // 不允许的文件类型，设置错误消息
            $msg = "只允许上传.jpg|.png|.gif类型文件！";
            // 删除上传的文件
            unlink($upload_file);
        }
    }else{
        // 移动文件失败，设置错误消息和错误代码
        $msg = '上传出错！ 错误代码: ' . $_FILES['upload_file']['error'];
    }
}
?>

<div id="upload_panel">
    <ol>
        <li>
            <h3>任务</h3>
            <p>上传一个<code>webshell</code>到服务器。</p>
        </li>
        <li>
            <h3>上传区</h3>
            <form enctype="multipart/form-data" method="post">
                <p>请选择要上传的图片：<p>
                <input class="input_file" type="file" name="upload_file"/>
                <input class="button" type="submit" name="submit" value="上传"/>
            </form>
            <div id="msg">
                <?php 
                    if($msg != null){
                        echo "提示：".$msg;
                    }
                ?>
            </div>
            <div id="img">
                <?php
                    if($is_upload){
                        echo '<img src="'.$img_path.'" width="250px" />';
                    }
                ?>
            </div>
        </li>
        <?php 
            // 根据参数决定是否显示代码
            if($_GET['action'] == "show_code"){
                include 'show_code.php';
            }
        ?>
    </ol>
</div>

<?php
// 包含底部文件
include '../footer.php';
?>